/*****************************************************************
* Unipro UGENE - Integrated Bioinformatics Suite
* Copyright (C) 2008,2009 Unipro, Russia (http://ugene.unipro.ru)
* All Rights Reserved
* 
*     This source code is distributed under the terms of the
*     GNU General Public License. See the files COPYING and LICENSE
*     for details.
*****************************************************************/

#ifndef _GB2_L10N_H_
#define _GB2_L10N_H_

#include <core_api/core_api.h>

namespace GB2 {

class GB2_COREAPI_EXPORT L10N: public QObject {
    Q_OBJECT
public:
    static QString errorOpeningFileRead(const QString& url) { return tr("Error opening URL for read: '%1'").arg(url);}
    static QString errorOpeningFileWrite(const QString& url) { return tr("Error opening URL for write: '%1'").arg(url);}
    static QString errorWritingFile(const QString& url) { return tr("Write error: '%1'").arg(url);}
    static QString errorReadingFile(const QString& url) { return tr("Read error: %1").arg(url);}
    static QString errorFileTooLarge(const QString& url) { return tr("File is too large: '%1'").arg(url);}
    static QString badArgument(const QString& name) { return tr("Internal error, bad argument: %1").arg(name);}
};

}//ns

#endif
