/*****************************************************************
* Unipro UGENE - Integrated Bioinformatics Suite
* Copyright (C) 2008,2009 Unipro, Russia (http://ugene.unipro.ru)
* All Rights Reserved
* 
*     This source code is distributed under the terms of the
*     GNU General Public License. See the files COPYING and LICENSE
*     for details.
*****************************************************************/

#include "ExportProjectDialogController.h"

#include <QtGui/qfiledialog.h>
#include <QtGui/qmessagebox.h>

#include <util_gui/DialogUtils.h>

namespace GB2{

ExportProjectDialogController::ExportProjectDialogController(QWidget *p):QDialog(p){
	setupUi(this);
	connect(browseButton, SIGNAL(clicked()), this, SLOT(sl_onBrowseButton()));
}

void ExportProjectDialogController::accept(){
	QFileInfo fi(exportFolderEdit->text());
	QDir dirToSave(fi.dir());
	if(exportFolderEdit->text().isEmpty()){
		QMessageBox::critical(this, this->windowTitle(), tr("Entered save directory path is empty"));
		return;
	}
	if (!dirToSave.exists()){
		QMessageBox::critical(this, this->windowTitle(), tr("Directory to save is not exists"));
		return;
	}

	QDialog::accept();
}

void ExportProjectDialogController::sl_onBrowseButton(){
	LastOpenDirHelper h;
	QString folder = QFileDialog::getExistingDirectory(this, tr("Choose Directory"), h.dir);
	if (folder.isEmpty()) return;
	exportFolderEdit->setText(folder);
}

}
